Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2640 - These files should be statically linked.
Summary: These files should be statically linked.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fileutils
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-07 20:01 UTC by Benjamin Kahn
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-08 14:40:37 UTC


Attachments (Terms of Use)

Description Benjamin Kahn 1999-05-07 20:01:08 UTC
All the binaries in /bin and /sbin should be linked
statically in case the /usr directory is not available, or
in case the system is having other problems.  By dynamically
linking these files, total system corruption can ruin your
whole day.

Comment 1 Jeff Johnson 1999-05-08 14:40:59 UTC
The programs /sbin/sln, /sbin/sash, and /bin/rpm are statically
linked - that's enough to get out of almost any difficulty.

Statically linking *everything* in /bin and /sbin creates update
problems.


Note You need to log in before you can comment on or make changes to this bug.